Subject: [Sip] Re: [Sip-implementors] Section 17.1.1.2, RFC 3261

From: "Markus Hofmann" <[email-masked]>
Date: Tue, 01 Mar 2005 13:50:24 +0100

Hi  Ajay,

in my understanding you have only two possibilities to finish this situation.

After TimerA is stopped, TimerB lost its control functionality. If Timer B expires no state will change.

The first possibility is that the user from UAC stopps the situation by sending a CANCEL (hanging up if a phone). UAS will response to the CANCEL with a 200 OK and a 487 Request Terminated for the INVITE. UAC answers with an ACK.

By the other possiblity there must be a proxy between. If Timer C expires the proxy sends a 408 to the UAC which answers with an ACK and the proxy sends a CANCEL to the UAS. The behaviour of the UAS is the same as above, only the proxy is answering now with an ACK. 

I think this are the only two possiblities.

Greeting

Markus

Idnani Ajaykumar-AIDNANI1 <[email-masked]> schrieb am 28.02.05 20:08:50:
> 
> Hi All,
>  
> I was reading section 17.1.1.2 of RFC 3261 and I had some basic questions, so I thought I will ask the experts.
>  
> 1. What is the UAC supposed to do when it is in the Proceeding state and it does not receive any final response? The text in section 17.1.1.2 does talk about this case. Also when I look at the flow in Firgure 5, there seems to be no timer attached to get out of the 'Proceeding' state. There is one attached to 'Calling' (Timer B) and 'Completed' (Timer D) states, but none to 'Proceeding' state. So are we saying that once you get into Proceeding state and the other end fails for some reason, the UAC is stuck.
>  
> Or is the figure inaccurate and it should really show a Timer B associated with one of the arrows coming out of that state? In which case my questions would be does a provisional response reset this timer? Otherwise an INVITE transaction would be constrained to 32secs assuming a T1 of 500ms (i.e. a call should go from 'Calling' to 'Completed' in 32secs!
>  
> Appreciate your responses.
>  
> Thank you.
> - Ajay  
> _______________________________________________
> Sip-implementors mailing list
> [email-masked]
> http://lists.cs.columbia.edu/mailman/listinfo/sip-implementors

______________________________________________________________
Verschicken Sie romantische, coole und witzige Bilder per SMS!
Jetzt bei WEB.DE FreeMail: http://f.web.de/?mc=021193

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip